-Déplacé nano du stage3 au stage 2 (car causait problème vu qu'on enlève /tools à...
authorgobo72 <gobo72@364a67c3-989e-7be9-548d-dae8560ea662>
Fri, 4 Mar 2011 02:52:42 +0000 (02:52 +0000)
committergobo72 <gobo72@364a67c3-989e-7be9-548d-dae8560ea662>
Fri, 4 Mar 2011 02:52:42 +0000 (02:52 +0000)
-Finalisation de la conversion du stage3. Tout semble bien compiler.

13 files changed:
stage2/INSTALL
stage2/TODO
stage2/install-1
stage2/install-2
stage2/misc/nanorc [new file with mode: 0644]
stage2/packages-update
stage2/pkg/nano [new file with mode: 0644]
stage2/post-install
stage2/pre-install [new file with mode: 0755]
stage3/install-1
stage3/packages-update
stage3/pkg/nano [deleted file]
stage3/resources/nanorc [deleted file]

index ec32eea..d009cd4 100644 (file)
@@ -33,6 +33,7 @@ Note: In this example, the destination partition is /dev/hda6, and
        >$ /mnt/linux/mnt/hvlinux/scripts/stage2/install-1
 
 9. After that, compile a fresh kernel.
+   (réactiver support pour les modules)
 
 10. type 'exit'
 
@@ -53,4 +54,4 @@ Post-install guide
     1. Compiler nouveau kernel
     2. Ajouter une entrée à /boot/grub/menu.lst
     3. Effacer le répertoire /tools et /cross-tools
-    4. Rouler le script stage2/misc/udev-create-persistent-net.sh
+    4. Rouler le script /usr/local/bin/udev-create-persistent-net.sh
index 75d301f..e69de29 100644 (file)
@@ -1,3 +0,0 @@
-
--Nettoyer tous les link temporaires automatiquement (seulement après avoir
- redémarré et vérifié que tout fonctionne correctement).
index dafcad6..94ca72f 100755 (executable)
@@ -14,6 +14,8 @@ fi
 
 init_log_file
 
+rscr mult "Performing pre-install" pre-install
+
 ipkg -l "${PERL}-pass1" ${PERL}
 ipkg -m noac ${KERNEL}
 ipkg -m noac ${MANPAGES}
index 4d855d2..6f7cf5f 100755 (executable)
@@ -39,6 +39,7 @@ ipkg ${UDEV}
 ipkg -m noac ${UDEV_CONFIG}
 ipkg ${GRUB}
 ipkg -m acnb ${DHCP}
+ipkg ${NANO}
 
 rscr once "Installing HV-utilities" install-hv-utilities
 rscr once "Installing bootscripts"  install-bootscripts
diff --git a/stage2/misc/nanorc b/stage2/misc/nanorc
new file mode 100644 (file)
index 0000000..029346a
--- /dev/null
@@ -0,0 +1,46 @@
+set autoindent
+set const
+set historylog
+set multibuffer
+set regexp
+set smooth
+set suspend
+
+## Nanorc files
+include /usr/share/nano/nanorc.nanorc
+
+## C/C++
+include /usr/share/nano/c.nanorc
+
+## HTML
+include /usr/share/nano/html.nanorc
+
+## Patch files
+include /usr/share/nano/patch.nanorc
+
+## Manpages
+include /usr/share/nano/man.nanorc
+
+## Groff
+include /usr/share/nano/groff.nanorc
+
+## Perl
+include /usr/share/nano/perl.nanorc
+
+## Python
+include /usr/share/nano/python.nanorc
+
+## Bourne shell scripts
+include /usr/share/nano/sh.nanorc
+
+include /usr/share/nano/gentoo.nanorc
+
+## Syntax Highlight Pack
+## CSS
+include /usr/share/nano/css.nanorc
+
+## php
+include /usr/share/nano/php.nanorc
+
+## makefile .am
+include /usr/share/nano/gentoo.nanorc
index 8e63ce5..fd9ba07 100755 (executable)
@@ -28,6 +28,9 @@ lpkg     0 ${CLOOG_PPL}
 lpkg     0 ${BINUTILS}
 lpkg     0 ${GCC}
 
+# These packages were already downloaded for stage1:
+lpkg     1 ${NANO}
+
 # These packages were already downloaded for stage1:
 lpkg     1 ${ZLIB}
 lpkg     1 ${SED}
diff --git a/stage2/pkg/nano b/stage2/pkg/nano
new file mode 100644 (file)
index 0000000..95f125b
--- /dev/null
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+# On re-installe nano car il a ete installe au stage1 avec un path non-standard
+
+hvbuild_post()
+{
+    install -m644 ${SCRDIR}/misc/nanorc /etc
+}
index f0f33e0..74122ad 100755 (executable)
@@ -37,7 +37,12 @@ sed -i -e "s!^\(PATH=\).*tools.*!\1${SED_REP}!" /etc/profile
 
 # Removing /tools directory
 if [ -d /tools ]; then
-    mv /tools /tools.to.remove.after.stage2
+    DEST=/usr/src/tools
+    if [ -d ${DEST} ]; then
+        # Remove old backup
+        rm -rf ${DEST}
+    fi
+    mv /tools ${DEST}
 fi
 
 ldconfig
diff --git a/stage2/pre-install b/stage2/pre-install
new file mode 100755 (executable)
index 0000000..b9e0775
--- /dev/null
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Removing /cross-tools directory
+if [ -d /cross-tools ]; then
+    DEST=/usr/src/cross-tools
+    if [ -d ${DEST} ]; then
+        # Remove old backup
+        rm -rf ${DEST}
+    fi
+    mv /cross-tools ${DEST}
+fi
+
+exit $?
index 63f28c5..f2c52ad 100755 (executable)
@@ -14,7 +14,6 @@ fi
 
 init_log_file
 
-ipkg ${NANO}
 ipkg ${WHICH}
 ipkg -m acnb ${REISERFSPROGS}
 ipkg -m acnb ${POPT}
index 0ebc51c..8d5f230 100755 (executable)
@@ -16,9 +16,6 @@ if [ ${#} -eq 1 -a "x${1}" = "xtest" ]; then
     export TEST_INTEGRITY=1
 fi
 
-# These packages were already downloaded for stage1:
-lpkg     1 ${NANO}
-
 # These packages are only for stage3
 fpkg_gnu   ${WHICH}
 fpkg       ${PCIUTILS} ftp://ftp.kernel.org/pub/software/utils/pciutils
diff --git a/stage3/pkg/nano b/stage3/pkg/nano
deleted file mode 100644 (file)
index d1c986f..0000000
+++ /dev/null
@@ -1,8 +0,0 @@
-#!/bin/bash
-
-# On re-installe nano car il a ete installe au stage0 avec un path non-standard
-
-hvbuild_post()
-{
-    install -m644 ${SCRDIR}/resources/nanorc /etc
-}
diff --git a/stage3/resources/nanorc b/stage3/resources/nanorc
deleted file mode 100644 (file)
index 029346a..0000000
+++ /dev/null
@@ -1,46 +0,0 @@
-set autoindent
-set const
-set historylog
-set multibuffer
-set regexp
-set smooth
-set suspend
-
-## Nanorc files
-include /usr/share/nano/nanorc.nanorc
-
-## C/C++
-include /usr/share/nano/c.nanorc
-
-## HTML
-include /usr/share/nano/html.nanorc
-
-## Patch files
-include /usr/share/nano/patch.nanorc
-
-## Manpages
-include /usr/share/nano/man.nanorc
-
-## Groff
-include /usr/share/nano/groff.nanorc
-
-## Perl
-include /usr/share/nano/perl.nanorc
-
-## Python
-include /usr/share/nano/python.nanorc
-
-## Bourne shell scripts
-include /usr/share/nano/sh.nanorc
-
-include /usr/share/nano/gentoo.nanorc
-
-## Syntax Highlight Pack
-## CSS
-include /usr/share/nano/css.nanorc
-
-## php
-include /usr/share/nano/php.nanorc
-
-## makefile .am
-include /usr/share/nano/gentoo.nanorc